:root {
    --kgc-m-bgc: rgba(0, 0, 0, 0.05);
    --kgc-bgc: #ffffff88;
    --kgc-f1c: #130249;
    --kgc-f2c: #130249;
    --kgc-f3c: #5b41f2;
    --kgc-f4c: #5b41f2;
    --kgc-f5c: #529eff;
    --kgc-f6c: #c645c5;
    --kgc-f7c: #1a827a;
    --kgc-fgc: #847774;
    --kgc-fbc: #2a3137;
    --kgc-bg1c: #14375357;
    --kgc-bg2c: #cf5f2857;
    --kgc-bg3c: #5b41f241;
    --kgc-bg4c: #dae9f857;
    --kgc-bg5c: #529eff57;
    --kgc-bg6c: #c645c557;
    --kgc-bg7c: #1a827a57;
    --kgc-bggc: #84777441;
    --kgc-bgbc: #2a313757;
    --kgc-box-shadow: 0 10px 10px 0 #88888845;
    /*    
    --kgc-title-font-family: Inter, 'Segoe-UI', 'Helvetica Neue', Helvetica, Arial, sans-serif,Poppins;
    --kgc-group-font-family: Barlow, "Inter", Tahoma, Geneva, Verdana, sans-serif;
    --kgc-font-family: 'Segoe-UI', "Inter", "Helvetica Neue", Helvetica, Arial, sans-serif;
    */

    --kgc-title-font-family: Poppins, sans-serif;
    --kgc-group-font-family: Poppins, sans-serif;
    --kgc-font-family: poppins, sans-serif;
    --kgc-text-color: #252A3F;
    --kgc-progress: #BA0000;
    --kgc-secondary-progress: #0071c1;
    --kgc-plan: #0071c1;
    --kgc-actual: #BA0000;
    --kgc-forecast: #098200;
    --kgc-text-fpc: #0f122a;
    --kgc-text-fsc: #1f2455;
    --kgc-top-bgc: #1964cc;
    --kgc-top-fc: #e7e6e8;
    --kgc-top-fc-hover: var(--kgc-fqc);
    --kgc-sidebar-bgc: var(--kgc-f1c);
    --kgc-sidebar-fc: var(--kgc-f3c);
    --kgc-sidebar-text-color: white;
    --kgc-sidebar-textcolor-hover: var(--kgc-f3c);
    --kgc-sidebar-textcolor-active: var(--kgc-f2c);
    --kgc-sidebar-border-radius: 8px;
    --kgc-sidebar-border: 2px solid var(--kgc-fgc);
    --kgc-sidebar-box-shadow: 0 10px 10px 0 #88888845;
    --kgc-sidebar-font-family: var(--kgc-font-family);
    --kgc-sidebar-font-size: 14px;
    --kgc-card-bgc: var(--kgc-bgc);
    --kgc-card-header-bgc: var(--kgc-bg3c);
    --kgc-card-color: white;
    --kgc-card-border: 2px solid var(--kgc-f3c);
    --kgc-card-border-color: var(--kgc-f3c);
    --kgc-card-border-radius: 8px;
    --kgc-card-box-shadow: 0 0.125rem 0.125rem 0 rgba(10, 10, 10, 0.25);
    --kgc-card-header-border-bottom: 2px solid var(--kgc-f1c);
    --kgc-card-icon-bgc: var(--kgc-f2c);
    --kgc-card-icon-fc: white;
    --kgc-card-header-height: 60px;
    --kgc-card-header-title-fc: var(--kgc-f1c);
    --kgc-card-header-title-size: 1.6em;
    --kgc-card-header-title-weight: 600;
    --kgc-card-header-subtitle-fc: var(--kgc-f3c);
    --kgc-card-header-subtitle-size: 1.3em;
    --kgc-card-header-subtitle-weight: 400;
    --kgc-card-width: 500px;
    --kgc-icon-name: "fal fa-gear";
    --kgc-icon-fc: white;
    --kgc-icon-bgc: var(--kgc-f4c);
    --kgc-text-color: #093596;
    --kgc-menu-color: #ffa500;
    --kgc-top-color: #302259;
    --kgc-table-head-color: #302259;
    --kgc-table-subtotal-color: #30225980;
    --kgc-table-total-color: #302259cc;
    --kgc-table-header-backgroundcolor: #363698;
    --kgc-table-header-textcolor: #ffffff;
    --kgc-table-border-color: #302259;
    --kgc-table-background-color: #fff;
    --kgc-link-icon-color: #0278d4;
    --kgc-link-text-hover-color: #605e5c;
    --kgc-link-text-color: #323130;
    --kgc-link-hover-color: #c6bce6;
    --kgc-dots-link-hover-color: #e7e4f0;
    --kgc-dots-text-hover-color: #845adf;
    --kgc-tab-active-color: #211c2e;
    --kgc-tab-color: #797682;
    --kgc-tab-hover-color: #e0bc84;
    --kgc-tab-back-active-color: transparent;
    --kgc-tab-back-color: transparent;
    --kgc-tab-back-hover-color: #84a8e0;
    --kgc-button-details-color: #21bede;
    --kgc-button-details-hover-color: #085dad;
    --kgc-button-edit-color: #ffc800;
    --kgc-button-edit-hover-color: #b37400;
    --kgc-button-delete-color: #ff2700;
    --kgc-button-delete-hover-color: #690404;
    --kgc-danger-color: #dc3545;
    --kgc-danger-backgroundcolor: #f8d7da;
    --kgc-danger-bordercolor: #f1aeb5;
    --kgc-warning-color: #ffc107;
    --kgc-warning-backgroundcolor: #fff3cd;
    --kgc-warning-bordercolor: #ffe69c;
    --kgc-success-color: #198754;
    --kgc-success-bordercolor: #a3cfbb;
    --kgc-success-backgroundcolor: #d1e7dd;
    --kgc-info-color: #0dcaf0;
    --kgc-info-bordercolor: #9eeaf9;
    --kgc-info-backgroundcolor: #cff4fc;
    --kgc-light-color: #f8f9fa;
    --kgc-light-bordercolor: #e9ecef;
    --kgc-light-backgroundcolor: #fcfcfd;
    --kgc-dark-color: #212529;
    --kgc-dark-bordercolor: #adb5bd;
    --kgc-dark-backgroundcolor: #ced4da;
    --kgc-primary-color: #0d6efd;
    --kgc-primary-bordercolor: #9ec5fe;
    --kgc-primary-backgroundcolor: #cfe2ff;
    --kgc-profile-data-font-family: var(--kgc-font-family), sans-serif;
    --kgc-profile-data-font-size: 1.1rem;
    --kgc-profile-data-font-fc: var(--kgc-fbc);
    --kgc-profile-data-width: "400px";
    --kgc-profile-label-font-family: var(--kgc-font-family), "Poppins ui bold";
    --kgc-profile-label-font-size: 0.9rem;
    --kgc-profile-label-fc: var(--kgc-f2c);
    --kgc-profile-label-width: "250px";
    --kgc-form-label-color: #503199;
    --kgc-offcanvas-bgc: #f2f0f7;
    /* Títulos y Bordes */

    --kgc-title-color: #302259;
    --kgc-title-font-size: 1.4em;
    --kgc-title-font-weight: 600;
    --kgc-subtitle-color: #51444a;
    --kgc-subtitle-font-size: 1.1em;
    --kgc-subtitle-font-weight: 400;
    --kgc-border-title-size: 1.5px;
    --kgc-border-title-color: #0023bd;
    --kgc-border-color: var(--kgc-f3c);
    --kgc-border-size: 3px;
    --kgc-border-style: "solid";
    --kgc-section-margin-bottom: 4px;
    --kgc-button-edit-fc: #ffa500;
    --kgc-button-details-fc: #085dad;
    --kgc-button-delete-fc: #b31b00;
    --kgc-button-link-bg: #0023bd;
    --kgc-button-link-fc: #fff;
    --kgc-chart-title-fc: var(--kgc-f2c);
    --kgc-chart-title-size: 16px;
    --kgc-chart-title-weight: 600;
    --kgc-chart-subtitle-fc: var(--kgc-fgc);
    --kgc-chart-subtitle-size: 14px;
    --kgc-chart-subtitle-weight: 400;
    --bs-body-bg: var(--kgc-bgc) !important;
    --bs-primary: var(--kgc-f1c) !important;
    --bs-primary-subtle: #b8d6ff !important;
    --bs-secondary: var(--kgc-fgc) !important;
    --bs-secondary-subtle: #e6e8eb !important;
    --bs-success: #198754 !important;
    --bs-success-subtle: #D1E7DD !important;
    --bs-warning: #FFC107 !important;
    --bs-warning-subtle: #FFF3CD !important;
    --bs-danger: #DC3545 !important;
    --bs-danger-subtle: #F8D7DA !important;
    --bs-info: #0DCAF0 !important;
    --bs-info-subtle: #CFF4FC !important;
    --bs-light: #F8F9FA !important;
    --bs-light-subtle: #FCFCFD !important;
    --bs-dark: var(--kgc-fbc) !important;
    --bs-dark-subtle: #CED4DA !important;
    --kgc_bgc_rgb_Gris: 108,117,125 !important;
    --kgc_bgc_rgb_Rojo: 255,0,30 !important;
    --kgc_bgc_rgb_Calipso: 13,202,240 !important;
    --kgc_bgc_rgb_Amarillo: 191,191, 0 !important;
    --kgc_bgc_rgb_Verde: 25,135,84 !important;
    --kgc_bgc_rgb_Negro: 0,0,0 !important;
    --kgc_bgc_rgb_Naranjo: 255, 128, 0 !important;
    --kgc_bgc_rgb_Burdeos: 100, 28, 52 !important;
    --kgc_bgc_rgb_Azul: 0, 0, 255 !important;
    --kgc_bgc_rgb_Rosado: 255, 138, 255 !important;
    --kgc_bgc_rgb_Morado: 117, 12, 198 !important;
}


html,
body {
    font-family: var(--kgc-font-family);
    background-color: var(--kgc-page-bgc);
    margin: 0;
    padding: 0;
    height: 100vh;
    min-height: 100vh;
    width: 100%;
}

.page {
    height: calc(100vh-10px) !important;
}

h1:focus {
    outline: none;
}

a,
.btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn-light {
    background-color: transparent !important;
    color: var(--kgc-fpc) !important;
    border-color: transparent !important;
}

.btn:focus,
.btn:active:focus,
.btn-link.nav-link:focus,
.form-control:focus,
.form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type="checkbox"]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 10000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred.";
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    font-family: var(--kgc-font-family);
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

.code {
    color: #c02d76;
}

.offcanvas {
    background-color: var(--kgc-offcanvas-bgc);
}

    .offcanvas.show {
        visibility: visible;
    }

i.fa-trash,
i.fa-trash-alt,
i.fa-file-pdf,
.e-menu-icon.fa-file-pdf {
    color: #f0644a;
}

    i.fa-trash:hover,
    i.fa-trash-alt:hover,
    i.fa-file-pdf:hover,
    .e-menu-icon.fa-file-pdf:hover {
        color: #8f2410;
    }

i.fa-pen-to-square {
    color: #e09812;
}

    i.fa-pen-to-square:hover {
        color: #e09812;
    }

i.fa-right-to-bracket {
    color: #1298e0;
}

    i.fa-right-to-bracket:hover {
        color: #1227e0;
    }

.e-menu-icon.fa-file-excel,
i.fa-file-excel {
    color: #07ba2f;
}

    .e-menu-icon.fa-file-excel:hover
    i.fa-file-excel:hover {
        color: #0d3d17;
    }

.e-menu-icon.fa-circle-plus,
i.fa-circle-plus {
    color: #721ac9;
}

    .e-menu-icon.fa-circle-plus:hover,
    i.fa-circle-plus:hover {
        color: #370766;
    }

i.fa-ellipsis-vertical {
    color: #027a32;
}

    i.fa-ellipsis-vertical:hover {
        color: #074d23;
    }


.df-label {
    box-sizing: border-box;
    font-size: 0.9rem;
    margin: 10px 0 0 0;
    color: var(--kgc-profile-label-fc);
    font-family: var(--kgc-font-family), sans-serif;
    font-weight: 600;
    width: 280px;
}

.df-data {
    font-size: 1.0rem;
    color: var(--kgc-profile-data-font-fc);
    font-family: var(--kgc-font-family), sans-serif;
    width: 100%;
    max-width: 400px;
}


/*Tablas de avance*/

.kgc-table-wrapper {
    border: 1.2px solid var(--kgc-f1c);
    border-radius: 5px;
}

table.kgc-prog-table {
}



    table.kgc-prog-table thead {
        color: var(--kgc-f3c);
        font-weight: bold;
        font-size: 0.9em;
        text-align: center;
        padding: 3px;
    }

        table.kgc-prog-table thead tr.bb-1,
        table.kgc-prog-table tbody tr.bb-1:not(:last-child) {
            border-bottom: 1.2px solid var(--kgc-f1c);
        }

    table.kgc-prog-table tbody {
        text-align: right;
        color: var(--kgc-fbc);
    }

        table.kgc-prog-table tbody tr th {
            text-align: right;
            padding-right: 10px;
            font-weight: bold;
        }

        table.kgc-prog-table tbody tr td {
            text-align: right;
            padding-right: 10px;
        }

            table.kgc-prog-table tbody tr td.br-1 {
                border-right: 1.2px solid var(--kgc-f1c);
            }

    table.kgc-prog-table thead tr th.chart
    table.kgc-prog-table tbody tr td.chart {
        width: 200px !important;
        max-width: 220px !important;
        text-align: left;
    }

.kgc-table-foot {
    margin: 0;
    padding: 0;
    font-size: 0.9em;
    color: gray;
}

.responsable {
    background-color: #6D28D9
}
.colaborador {
    background-color: #0EA5A4
}
.observador {
    background-color: #2563EB
}
/*fin Tablas de avance*/

/* contenedor: evita overflow del card */
.kgc-logo-fit {
  max-width: 100%;
  overflow: hidden;
}

/* fuerza a cualquier img dentro a encajar */
.kgc-logo-fit img {
  max-width: 100%;
  height: auto;
  display: block;
}

/* si el logo queda muy alto, limitá altura */
.kgc-logo-fit img {
  max-height: 140px;   /* ajusta a tu card */
  object-fit: contain; /* mantiene proporción */
}
.kgc-search {
    position: relative;
    margin: 12px 0 10px 0;
}

    .kgc-search > i {
        position: absolute;
        left: 16px;
        top: 50%;
        transform: translateY(-50%);
        font-size: 16px;
        color: #6c757d;
        pointer-events: none;
    }

/* ⚠️ Forzamos el padding por ID + clase para ganarle a Bootstrap */
#Activos.kgc-search__input {
    padding-left: 56px !important; /* ⬅️ aquí está la clave */
    height: 44px;
    border-radius: 12px;
    box-sizing: border-box;
}
.kgc-insignia {
    background: transparent !important;
    padding: 0 !important;
    border: none !important;
    font-size: 16px; /* ajusta a gusto */
    color: #f5b301; /* dorado */
    line-height: 1;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-width: 18px;
}